<?PHP
#
#   FILE:  Check.php
#
#   Copyright 2011 Internet Scout Project
#   http://scout.wisc.edu/
#

# ----- MAIN -----------------------------------------------------------------

PageTitle("Automatically checking an URL...");
CheckAuthorization(PRIV_SYSADMIN, PRIV_COLLECTIONADMIN);

$ResourceId = isset($_GET["ResourceId"]) ? intval($_GET["ResourceId"]) : NULL;
$Resource = new Resource($ResourceId);

if ($Resource->Status() == 1)
{
    $AF->SignalEvent("URLCHECKER_CHECK_RESOURCE_URLS", array($Resource));
}

$AF->SuppressHTMLOutput();
$AF->SetJumpToPage("index.php?P=P_UrlChecker_Results");
